> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ondb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Register a new user API key
POST /api/auth/register



## OpenAPI

````yaml /openapi.yaml post /api/auth/register
openapi: 3.1.0
info:
  title: OnDB API
  description: Monetize anything
  license:
    name: ''
  version: 4.0.0
servers: []
security: []
tags:
  - name: Health
    description: Health check and system status
  - name: Applications
    description: Application management
  - name: Billing
    description: Billing information and usage
  - name: Pricing
    description: Pricing information and quotes
  - name: X402 Payment Protocol
    description: Payment verification and settlement
  - name: Data Storage
    description: Store data to Celestia blockchain
  - name: Data Query
    description: Query and retrieve data
  - name: Collections
    description: Collection management
  - name: Indexes
    description: Index management and relations
  - name: Retention
    description: Data retention policies
  - name: Materialized Views
    description: Materialized view management
  - name: Predefined Queries
    description: Create and execute predefined queries
  - name: View Query
    description: Query materialized view data
  - name: Wallet
    description: App wallet management
  - name: Tasks
    description: Task tracking and status
  - name: Transactions
    description: Transaction status
  - name: Authorization
    description: Authorization grant management
  - name: API Keys
    description: API key management
  - name: Encryption
    description: Encryption settings and configuration
  - name: Payout
    description: Payout settings and history
  - name: API Collections
    description: API collection management
paths:
  /api/auth/register:
    post:
      tags:
        - API Keys
      summary: |-
        Register a new user API key
        POST /api/auth/register
      operationId: register_user_key_endpoint
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegisterUserKeyRequest'
        required: true
      responses:
        '200':
          description: User API key registered successfully
          content:
            application/json:
              schema: {}
        '400':
          description: Bad request - invalid signature
        '500':
          description: Internal server error
components:
  schemas:
    RegisterUserKeyRequest:
      type: object
      description: Request body for registering a user API key
      required:
        - address
        - pubkey
        - signature
        - message
      properties:
        address:
          type: string
        message:
          type: string
        pubkey:
          type: string
        signature:
          type: string

````